<?php

namespace common\modules\rubrication\models;

use Yii;
use yii\helpers\Html;

/**
 * This is the model class for table "{{%tax_value_link}}".
 *
 * @property string $tax_value_id
 * @property integer $tax_option_id
 * @property string $name
 * @property string $link
 *
 * @property TaxOption $taxOption
 */
class TaxValueLink extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%tax_value_link}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['tax_option_id'], 'integer'],
            [['name'], 'string', 'max' => 150],
            [['link'], 'string', 'max' => 255],
            [['tax_option_id'], 'exist', 'skipOnError' => true, 'targetClass' => TaxOption::className(), 'targetAttribute' => ['tax_option_id' => 'tax_option_id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'tax_value_id' => Yii::t('app', 'Tax Value ID'),
            'tax_option_id' => Yii::t('app', 'Tax Option ID'),
            'name' => Yii::t('app', 'Name'),
            'link' => Yii::t('app', 'Link'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getTaxOption()
    {
        return $this->hasOne(TaxOption::className(), ['tax_option_id' => 'tax_option_id'])->inverseOf('taxValueLinks');
    }

    public static function getValueRenderFlash($value) {
        return $value->name;
    }

    public static function getValueRenderHTML($value) {
        return Html::a($value->name, $value->link);
    }
}
